<div class="vacancy-listing">
  <app-content-banner [isDashboard]="false" pageName="Vacancy Listing [ {{numberOfVL}} ]"></app-content-banner>
  <mat-card class="vl-main-card mat-elevation-z0">
    <mat-card-header fxLayout="column" fxLayoutGap="10px">
      <div fxLayout="row" class="header-banner">
        <span (click)="selectCounterFilter('primaryServiceContractID', 4)"><b>NYC 15/15:&nbsp; </b> <span> {{nyC1515}}</span></span>
        <span (click)="selectCounterFilter('primaryServiceContractID', 3)"><b>NY/NY III:&nbsp; </b> <span>{{nynY3}}</span></span>
        <span (click)="selectCounterFilter('primaryServiceContractID', 0)"><b>NY/NY I & NY/NY II:&nbsp; </b> <span> {{nynY1n2}}</span></span>
        <span (click)="selectCounterFilter('primaryServiceContractID', 9)"><b>CoC:&nbsp; </b> <span> {{coC}}</span></span>
        <span (click)="selectOfflineUnitsFilter()"><b>Offline Units:&nbsp; </b> <span> {{offlineUnits}}</span></span>
      </div>
    </mat-card-header>
    <mat-card-content>
      <div class="example-small-box mat-elevation-z4" fxLayout="column">
        <div class="table-filters-header" fxLayout="column">
          <div fxLayout="row" fxLayoutAlign="start">
            <div fxLayoutAlign="start" fxFlex="auto" style="padding: 8px; font-weight: 600;"><span *ngIf="flagClicked != ''">{{flagClicked}}</span></div>
            <div class="table-top-icons" fxLayoutAlign="end" fxFlex="auto">
              <mat-icon (click)="refreshAgGrid()" color="primary" matTooltip="Reset the filters">settings_backup_restore
              </mat-icon>
              <mat-icon (click)="onBtExport()" color="primary" matTooltip="Export to Excel">archive</mat-icon>
            </div>
          </div>
        </div>
        <div class="example-container mat-elevation-z4">
          <ag-grid-angular
            #agGrid id="myGrid"
            style="width: 100%"
            class="ag-theme-balham my-grid"
            [columnDefs]="columnDefs"
            [defaultColDef]="defaultColDef"
            [rowData]="rowData"
            [context]="context"
            [rowSelection]="rowSelection"
            [animateRows]="true"
            [gridOptions]="gridOptions"
            [pagination]="true"
            [paginationPageSize]="10"
            (filterChanged)="onFilterChanged($event)"
            (firstDataRendered)="onFirstDataRendered($event)"
            [frameworkComponents]="frameworkComponents"
            (gridReady)="onGridReady($event)">
          </ag-grid-angular>
          <div fxLayout="row" class="grid-footer">
            <div class="paging-size-header" fxLayoutAlign="end" fxFlex="auto">
              Show&nbsp;&nbsp;
              <select [(ngModel)]="noOfRowCounter" (change)="onPageSizeChanged()">
                <option *ngFor="let size of pageSizes; index as i; last as isLast" value="{{size.pageSize}}">{{isLast ? 'All' : size.pageSize}}</option>
              </select>
              <span>&nbsp;&nbsp;Entries</span>
            </div>
          </div>
        </div>
      </div>
    </mat-card-content>
  </mat-card>
</div>
